Ingest Bulk
curl --request POST \
--url https://api.ontora.com/v1/ingest/manual/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"documents": [
{
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"title": "<string>",
"vault_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"document_type": "document",
"author_name": "<string>",
"author_email": "<string>",
"source_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"metadata": {}
}
],
"vault_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.ontora.com/v1/ingest/manual/bulk"
payload = {
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"documents": [
{
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"title": "<string>",
"vault_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"document_type": "document",
"author_name": "<string>",
"author_email": "<string>",
"source_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"tags": ["<string>"],
"metadata": {}
}
],
"vault_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
documents: [
{
workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
content: '<string>',
title: '<string>',
vault_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
document_type: 'document',
author_name: '<string>',
author_email: '<string>',
source_url: '<string>',
created_at: '2023-11-07T05:31:56Z',
tags: ['<string>'],
metadata: {}
}
],
vault_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.ontora.com/v1/ingest/manual/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"created": 123,
"updated": 123,
"unchanged": 123,
"errors": [],
"document_ids": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}manual-ingest
Ingest Bulk
Ingest multiple documents at once.
Useful for batch importing documents or transcripts. Maximum 50 documents per request.
POST
/
v1
/
ingest
/
manual
/
bulk
Ingest Bulk
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I